Bug 10252 - Need /boot/README about System.map, etc.
Need /boot/README about System.map, etc.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-03-19 15:24 EST by swear
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description swear 2000-03-19 15:24:43 EST
Actually, the kernel-source RPM, but that was rejected.

The /usr/src/linux/README kernel-building info doesn't say what to do
about the links /boot/System.man and /boot/module-info like where do I
get the real files after a kernel build.  Since you probably can't
convince the kernel guys to change their README, I suggest you put some
notes in /boot/READEM.  Those links have been a long-standing gripe I've
had with the several RHL versions; such a file would have reduced my grief.

It probably ought to be in the "filesystem" RPM or something because many
people don't bother with "kernel-sources", getting the kernel from a
non-Red-Hat source.
Comment 1 kenneth_porter 2000-03-22 01:59:59 EST
Amen! Actually, the link for System.map should be set in /etc/rc.d/rc.sysinit,
at the same time the module directory is selected. ("ln -sf
/boot/System.map-$mver /boot/System.map") That means the initscripts package
needs to be fixed. (Perhaps this bug should be reassigned to that component.)

(See my related gripe on the RH-specific undocumented .rhkvmtag in bug# 10299.)
Comment 2 Bugzilla owner 2004-09-30 11:38:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.